#!/usr/bin/env python2
# -*- coding: UTF-8 -*-

import logging

class Logger(object):
    """
    Простейший логгер
    """
    _instance = None
    def __new__(self, *args, **kwargs):
        if not self._instance:
            self._instance = super(Logger, self).__new__(self, *args, **kwargs)
            logging.basicConfig(filename='/linuxcash/logs/current/artix-tools.log',
                    format='%(asctime)s %(levelname)s - %(message)s', level=logging.DEBUG)
        return self._instance

    def info(self, message):
        logging.info(message)

    def error(self, message):
        logging.error(message)

    def warn(self, message):
        logging.warning(message)